<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		  <title>Using Jupyter Notebooks <br/> For the Reproducibility <br/>of a Digital Humanities PhD</title>

		  <meta name="description" content="Using Jupyter Notebooks <br/> For the Reproducibility <br/>of a Digital Humanities PhD">
		<meta name="author" content="José Calvo Tello">

		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
		  <link rel="stylesheet" href="../../lib/reveal/dist/theme/sky.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
				
# Using Jupyter Notebooks <br/> For the Reproducibility <br/>of a Digital Humanities PhD
### José Calvo Tello, @eumanismo
#### Göttingen State and University Library

- https://jose.calvotello.pages.gwdg.de/slides/talks/20201008_OpenScience/

<hr />

### Open Science Meet-up Göttingen, 8.10.2020: Reproducibility

<!-- https://pad.gwdg.de/OpenScienceGoe20201008# -->



<!--

### Using Jupyter Notebooks for the Reproducibility of a Digital Humanities PhD
## ToC

* The context of my PhD
* Why did I use Jupyter Notebooks?
* How did I use them?
* What did work well?
* What could have worked better?
-->

---

# The context of my PhD

--

## The context of my PhD

* Digital Humanities (literature, linguistics)
* Machine Learning applied to Literary Genres
* Analyzed 358 Spanish novels 
* Some still under copyright
* XML, TEI, Python, Linked Open Data, Git...
* 400 pages (too long, I know...)
* Over 5 years
* Writing for the last 2 years

--

## Viva!


--

## Learn from my Mistakes!

---

# Why did I use Jupyter Notebooks for the PhD?


--

## Why did I use Jupyter Notebooks?

- Long period
- Many chapters
- Review process 
- Motivation:
    1. Own documentation
    2. Reproducibility 

---

# How did I use them?

--

## Git Repositories

1. **Data**: texts, annotation, metadata...
2. **General scripts**: Machine Learning, visualization, statistical tests, transformation of data...
3. **Jupyter Notebooks**: for PhD


--

## Jupyter Notebooks
- For each chapter, one companion Notebook

--

## Jupyter Notebooks
- Notebooks are structured with the same headers as in the chapter
- Brief descriptions of sections


---

# Conclusions

--

## What did Work well?

- Very good documentation 
- Refer in the thesis to the Notebook for further details
- Test further possibilities without mentioning in the thesis
- Easier review process
- Manage illustrations

--

# What could have Worked better?

- Manage illustrations
- Not fully replicable
- Paths between three repositories
- Availability of the data
- Evolving coding skills
- No institutional support
- Better integreation between output (data, illustrations) and prose of the thesis

--

# Tensions between Values!
## Best Practices in?
- Replicability
- Programming
- Data curation and publication
- Code sharing within reserach group
- Copyright
- Innovation


--

## What are the Best Practices going to be in 2025?

---

# Thanks!


---
				
					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    